package cn.sh.stc.sict.theme.hpgp.service;

import cn.sh.stc.sict.theme.hpgp.model.HpHzjl;
import cn.sh.stc.sict.theme.hpgp.model.HpgpBusyIdlePrediction;
import cn.sh.stc.sict.theme.hphy.model.HpDocInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * (HpHzjl)表服务接口
 *
 * @author F_xh
 * @since 2022-08-15 14:14:33
 */
public interface HpHzjlService extends IService<HpHzjl> {

    /**
     * 根据身份证号和医院查找最后三次不同科室就诊记录，并计算忙闲
     * 如果未找到，则推送三个热门科室
     *
     * @param certId   身份证号
     * @param hospCode 医疗机构代码（医院编码）
     * @return
     */
    List<HpgpBusyIdlePrediction> listByCertIdAndHosCode(String certId,
                                                        String hospCode);

    /**
     * @param certId   身份证号
     * @param hospCode 医疗机构代码（医院编码）
     * @return
     */
    List<HpDocInfo> listDoctorByCertIdAndHosCode(String certId,
                                                 String hospCode);
}
